import React from 'react';
interface ISidebarContainer {
    /**
     * Set the sidebar width
     * @default 320
     */
    width?: number | string;
    /**
     * Sidebar open on the right by default, set to true to open on the left
     */
    leftSide?: boolean;
    /**
     * Change the animation: Display the sidebar on the whole screen
     */
    fullWidth?: boolean;
    /**
     * Additional styled to be applied to the sidebar
     */
    style?: {
        [key: string]: any;
    };
    children: JSX.Element;
    /**
     * Sidebar zIndex
     * Default: 1
     */
    zIndex?: number;
    /**
     * Applied to the sidebar content in normal mode (not fullWidth), and to the sidebar in fullWidth mode
     */
    className?: string;
    /**
     * animatedDivClassName: className to be applied to the animated div in the "normal" (not fullWidth) case
     * For normal case we render an animated div containing another div who contains the sidebar content
     */
    animatedDivClassName?: string;
}
/**
 * SidebarContainer
 */
export declare const SidebarContainer: React.ForwardRefExoticComponent<ISidebarContainer & React.RefAttributes<HTMLDivElement>>;
export {};
